Update Test Case
Rest path
PUT /rest/api/1/testCases/{issueId}
Body parameter
{ "properties": { "testDetails": { "properties": { "steps": { "items": { "properties": { "expectedResult": { "anyOf": [ { "properties": { "version": { "type": "number", "enum": [ 1 ], "nullable": false }, "type": { "type": "string", "enum": [ "doc" ], "nullable": false }, "content": { "items": {}, "type": "array", "example": [ { "type": "paragraph", "content": [ { "type": "text", "text": "This is a paragraph." } ] } ] } }, "required": [ "version", "type", "content" ], "type": "object", "description": "Represents a rich text document node.\nFor more details see: https://developer.atlassian.com/cloud/jira/platform/apis/document/structure/" }, { "type": "string" } ], "nullable": true }, "data": { "anyOf": [ { "properties": { "version": { "type": "number", "enum": [ 1 ], "nullable": false }, "type": { "type": "string", "enum": [ "doc" ], "nullable": false }, "content": { "items": {}, "type": "array", "example": [ { "type": "paragraph", "content": [ { "type": "text", "text": "This is a paragraph." } ] } ] } }, "required": [ "version", "type", "content" ], "type": "object", "description": "Represents a rich text document node.\nFor more details see: https://developer.atlassian.com/cloud/jira/platform/apis/document/structure/" }, { "type": "string" } ], "nullable": true }, "action": { "anyOf": [ { "properties": { "version": { "type": "number", "enum": [ 1 ], "nullable": false }, "type": { "type": "string", "enum": [ "doc" ], "nullable": false }, "content": { "items": {}, "type": "array", "example": [ { "type": "paragraph", "content": [ { "type": "text", "text": "This is a paragraph." } ] } ] } }, "required": [ "version", "type", "content" ], "type": "object", "description": "Represents a rich text document node.\nFor more details see: https://developer.atlassian.com/cloud/jira/platform/apis/document/structure/" }, { "type": "string" } ], "nullable": true } }, "type": "object" }, "type": "array" }, "name": { "type": "string" }, "description": { "type": "string" }, "testType": { "type": "string" } }, "required": [ "testType" ], "type": "object" }, "preconditions": { "anyOf": [ { "properties": { "version": { "type": "number", "enum": [ 1 ], "nullable": false }, "type": { "type": "string", "enum": [ "doc" ], "nullable": false }, "content": { "items": {}, "type": "array", "example": [ { "type": "paragraph", "content": [ { "type": "text", "text": "This is a paragraph." } ] } ] } }, "required": [ "version", "type", "content" ], "type": "object", "description": "Represents a rich text document node.\nFor more details see: https://developer.atlassian.com/cloud/jira/platform/apis/document/structure/" }, { "type": "string" } ] }, "issueDetails": { "properties": { "fields": { "additionalProperties": false, "type": "object", "description": "Issue fields Jira API.\nSee: https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-issues/#api-rest-api-3-issue-post" } }, "required": [ "fields" ], "type": "object" } }, "type": "object"}Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| issueId | path | string | true | none |
| body | body | UpdateTestCaseRequest | true | none |
Example responses
Ok
{ "issueId": 12345, "testCaseId": 67890, "versionId": 54321}Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Ok | UpdateTestCaseResponse |